class Libsmf < Formula
  desc "C library for handling SMF ('*.mid') files"
  homepage "https://sourceforge.net/projects/libsmf/"
  url "https://downloads.sourceforge.net/project/libsmf/libsmf/1.3/libsmf-1.3.tar.gz"
  sha256 "d3549f15de94ac8905ad365639ac6a2689cb1b51fdfa02d77fa6640001b18099"
  license "BSD-2-Clause"
  revision 1

  # Linked development repo is gone: https://github.com/nilsgey/libsmf
  # Potential alt repo has no activity: https://github.com/stump/libsmf
  deprecate! date: "2022-04-02", because: :unmaintained

  # Added automake as a build dependency to update config files for ARM support.
  # Issue ref in alt repo: https://github.com/stump/libsmf/issues/10
  depends_on "automake" => :build
  depends_on "pkg-config" => :build
  depends_on "glib"

  # Fix -flat_namespace being used on Big Sur and later.
  patch do
    url "https://raw.githubusercontent.com/Homebrew/formula-patches/03cf8088210822aa2c1ab544ed58ea04c897d9c4/libtool/configure-pre-0.4.2.418-big_sur.diff"
    sha256 "83af02f2aa2b746bb7225872cab29a253264be49db0ecebb12f841562d9a2923"
  end

  def install
    # Workaround for ancient config files not recognizing aarch64 macos.
    %w[config.guess config.sub].each do |fn|
      (buildpath/fn).unlink
      cp Formula["automake"].share/"automake-#{Formula["automake"].version.major_minor}"/fn, fn
    end
    system "./configure", *std_configure_args
    system "make", "install"
  end
end
